<app-loading *ngIf="isLoading"></app-loading>
<div class="app-card">
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30, 10]">
      <div nz-col [nzXs]="24" [nzLg]="24" class="group_title">
        <label>{{
          'insurance.participationInformation.groupTitle.employee' | translate
        }}</label>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['fullName'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['fullName'].errors !== null
          "
          [mbErrors]="form.controls['fullName'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.fullName'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.fullName'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.fullName' | translate
          }} <span class='label__required'>*</span>"
          formControlName="fullName"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['staffCode'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['staffCode'].errors !== null
          "
          [mbErrors]="form.controls['staffCode'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.staffCode'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.staffCode'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.staffCode' | translate
          }} <span class='label__required'>*</span>"
          formControlName="staffCode"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-date-picker
          [mbType]="
            isSubmitted && form.controls['dob'].errors ? 'error' : 'default'
          "
          [mbShowError]="isSubmitted && form.controls['dob'].errors !== null"
          [mbErrors]="form.controls['dob'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel: 'insurance.participationInformation.label.dob'
            }
          ]"
          formControlName="dob"
          mbLabelText="{{
            'insurance.participationInformation.label.dob' | translate
          }} <span class='label__required'>*</span>"
        ></mb-date-picker>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['taxCode'].errors ? 'error' : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['taxCode'].errors !== null
          "
          [mbErrors]="form.controls['taxCode'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.taxCode'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.taxCode'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.taxCode' | translate
          }} <span class='label__required'>*</span>"
          formControlName="taxCode"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="catalogs[CATALOGS.GIOI_TINH]"
          [mbType]="
            isSubmitted && form.controls['gender'].errors ? 'error' : 'default'
          "
          [mbShowError]="isSubmitted && form.controls['gender'].errors !== null"
          [mbErrors]="form.controls['gender'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.gender'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.gender'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.gender' | translate
          }} <span class='label__required'>*</span>"
          formControlName="gender"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="catalogs[CATALOGS.QUOC_GIA]"
          [mbType]="
            isSubmitted && form.controls['nationality'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['nationality'].errors !== null
          "
          [mbErrors]="form.controls['nationality'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.nationality'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.nationality'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.nationality' | translate
          }} <span class='label__required'>*</span>"
          formControlName="nationality"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['phone'].errors ? 'error' : 'default'
          "
          [mbShowError]="isSubmitted && form.controls['phone'].errors !== null"
          [mbErrors]="form.controls['phone'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.phone'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel: 'insurance.participationInformation.label.phone'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.phone' | translate
          }}"
          formControlName="phone"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['email'].errors ? 'error' : 'default'
          "
          [mbShowError]="isSubmitted && form.controls['email'].errors !== null"
          [mbErrors]="form.controls['email'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.email'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel: 'insurance.participationInformation.label.email'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.email' | translate
          }}"
          formControlName="email"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="catalogs[CATALOGS.DAN_TOC]"
          [mbType]="
            isSubmitted && form.controls['ethnic'].errors ? 'error' : 'default'
          "
          [mbShowError]="isSubmitted && form.controls['ethnic'].errors !== null"
          [mbErrors]="form.controls['ethnic'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.ethnic'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.ethnic'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.ethnic' | translate
          }} <span class='label__required'>*</span>"
          formControlName="ethnic"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['identityNo'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['identityNo'].errors !== null
          "
          [mbErrors]="form.controls['identityNo'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.identityNo'
                  : false
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.identityNo'
                : false
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.identityNo' | translate
          }} <span class='label__required'>*</span>"
          formControlName="identityNo"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-date-picker
          [mbType]="
            isSubmitted && form.controls['issuedDate'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['issuedDate'].errors !== null
          "
          [mbErrors]="form.controls['issuedDate'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.issuedDate'
            }
          ]"
          formControlName="issuedDate"
          mbLabelText="{{
            'insurance.participationInformation.label.issuedDate' | translate
          }}"
        ></mb-date-picker>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="catalogs[CATALOGS.TINH]"
          [mbType]="
            isSubmitted && form.controls['issuedPlace'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['issuedPlace'].errors !== null
          "
          [mbErrors]="form.controls['issuedPlace'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.issuedPlace'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.issuedPlace'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.issuedPlace' | translate
          }} <span class='label__required'>*</span>"
          formControlName="issuedPlace"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['permanentAddress'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['permanentAddress'].errors !== null
          "
          [mbErrors]="form.controls['permanentAddress'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'maxlength',
              errorDescription:
                'insurance.validate.maxLength'
                | translate: { numberLength: '200' }
            },
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.permanentAddress'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.permanentAddress'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.permanentAddress'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="permanentAddress"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          (ngModelChange)="onChangeProvince('permanent', $event)"
          [mbDataSelects]="catalogs[CATALOGS.TINH]"
          [mbType]="
            isSubmitted && form.controls['permanentProvinceCode'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted &&
            form.controls['permanentProvinceCode'].errors !== null
          "
          [mbErrors]="form.controls['permanentProvinceCode'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.permanentProvinceCode'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.permanentProvinceCode'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.permanentProvinceCode'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="permanentProvinceCode"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          (ngModelChange)="onChangeDistrict('permanent', $event)"
          [mbDataSelects]="catalogs[getCatalogKey(CATALOGS.HUYEN, 'permanent')]"
          [mbType]="
            isSubmitted && form.controls['permanentDistrictCode'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted &&
            form.controls['permanentDistrictCode'].errors !== null
          "
          [mbErrors]="form.controls['permanentDistrictCode'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.permanentDistrictCode'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.permanentDistrictCode'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.permanentDistrictCode'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="permanentDistrictCode"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="catalogs[getCatalogKey(CATALOGS.XA, 'permanent')]"
          [mbType]="
            isSubmitted && form.controls['permanentWardCode'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['permanentWardCode'].errors !== null
          "
          [mbErrors]="form.controls['permanentWardCode'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.permanentWardCode'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.permanentWardCode'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.permanentWardCode'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="permanentWardCode"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['contactAddress'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['contactAddress'].errors !== null
          "
          [mbErrors]="form.controls['contactAddress'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'maxlength',
              errorDescription:
                'insurance.validate.maxLength'
                | translate: { numberLength: '200' }
            },
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.contactAddress'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.contactAddress'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.contactAddress'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="contactAddress"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          (ngModelChange)="onChangeProvince('contact', $event)"
          [mbDataSelects]="catalogs[CATALOGS.TINH]"
          [mbType]="
            isSubmitted && form.controls['contactProvinceCode'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['contactProvinceCode'].errors !== null
          "
          [mbErrors]="form.controls['contactProvinceCode'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.contactProvinceCode'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.contactProvinceCode'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.contactProvinceCode'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="contactProvinceCode"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          (ngModelChange)="onChangeDistrict('contact', $event)"
          [mbDataSelects]="catalogs[getCatalogKey(CATALOGS.HUYEN, 'contact')]"
          [mbType]="
            isSubmitted && form.controls['contactDistrictCode'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['contactDistrictCode'].errors !== null
          "
          [mbErrors]="form.controls['contactDistrictCode'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.contactDistrictCode'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.contactDistrictCode'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.contactDistrictCode'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="contactDistrictCode"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="catalogs[getCatalogKey(CATALOGS.XA, 'contact')]"
          [mbType]="
            isSubmitted && form.controls['contactWardCode'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['contactWardCode'].errors !== null
          "
          [mbErrors]="form.controls['contactWardCode'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.contactWardCode'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.contactWardCode'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.contactWardCode'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="contactWardCode"
        ></mb-select>
      </div>
      <div nz-col [nzXs]="24" [nzLg]="24" class="group_title">
        <label>{{
          'insurance.participationInformation.groupTitle.job' | translate
        }}</label>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-date-picker
          [mbType]="
            isSubmitted && form.controls['joinedDate'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['joinedDate'].errors !== null
          "
          [mbErrors]="form.controls['joinedDate'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.joinedDate'
            }
          ]"
          formControlName="joinedDate"
          mbLabelText="{{
            'insurance.participationInformation.label.joinedDate' | translate
          }} <span class='label__required'>*</span>"
        ></mb-date-picker>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-date-picker
          [mbType]="
            isSubmitted && form.controls['officialJoinedDate'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['officialJoinedDate'].errors !== null
          "
          [mbErrors]="form.controls['officialJoinedDate'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.officialJoinedDate'
            }
          ]"
          formControlName="officialJoinedDate"
          mbLabelText="{{
            'insurance.participationInformation.label.officialJoinedDate'
              | translate
          }} <span class='label__required'>*</span>"
        ></mb-date-picker>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-date-picker
          [mbType]="
            isSubmitted && form.controls['leavingDate'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['leavingDate'].errors !== null
          "
          [mbErrors]="form.controls['leavingDate'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.leavingDate'
            }
          ]"
          formControlName="leavingDate"
          mbLabelText="{{
            'insurance.participationInformation.label.leavingDate' | translate
          }}"
        ></mb-date-picker>
      </div>
      <div nz-col nzXs="0" nzLg="6"></div>
      <div nz-col nzXs="24" nzLg="12">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['unit'].errors ? 'error' : 'default'
          "
          [mbShowError]="isSubmitted && form.controls['unit'].errors !== null"
          [mbErrors]="form.controls['unit'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.unit'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel: 'insurance.participationInformation.label.unit'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.unit' | translate
          }} <span class='label__required'>*</span>"
          formControlName="unit"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['jobTitle'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['jobTitle'].errors !== null
          "
          [mbErrors]="form.controls['jobTitle'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.jobTitle'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.jobTitle'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.jobTitle' | translate
          }}"
          formControlName="jobTitle"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="0" nzLg="6"></div>
      <div nz-col [nzXs]="24" [nzLg]="24" class="group_title">
        <label>{{
          'insurance.participationInformation.groupTitle.contract' | translate
        }}</label>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['contractId'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['contractId'].errors !== null
          "
          [mbErrors]="form.controls['contractId'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'maxlength',
              errorDescription:
                'insurance.validate.maxLength'
                | translate: { numberLength: '200' }
            },
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.contractId'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.contractId'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.contractId' | translate
          }} <span class='label__required'>*</span>"
          formControlName="contractId"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['contractType'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['contractType'].errors !== null
          "
          [mbErrors]="form.controls['contractType'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'maxlength',
              errorDescription:
                'insurance.validate.maxLength'
                | translate: { numberLength: '200' }
            },
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.contractType'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.contractType'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.contractType' | translate
          }}"
          formControlName="contractType"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="0" nzLg="12"></div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-date-picker
          [mbType]="
            isSubmitted && form.controls['signedDate'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['signedDate'].errors !== null
          "
          [mbErrors]="form.controls['signedDate'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.signedDate'
            }
          ]"
          formControlName="signedDate"
          mbLabelText="{{
            'insurance.participationInformation.label.signedDate' | translate
          }} <span class='label__required'>*</span>"
        ></mb-date-picker>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-date-picker
          [mbType]="
            isSubmitted && form.controls['fromDate'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['fromDate'].errors !== null
          "
          [mbErrors]="form.controls['fromDate'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.fromDate'
            }
          ]"
          formControlName="fromDate"
          mbLabelText="{{
            'insurance.participationInformation.label.fromDate' | translate
          }} <span class='label__required'>*</span>"
        ></mb-date-picker>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-date-picker
          [mbType]="
            isSubmitted && form.controls['toDate'].errors ? 'error' : 'default'
          "
          [mbShowError]="isSubmitted && form.controls['toDate'].errors !== null"
          [mbErrors]="form.controls['toDate'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.toDate'
            }
          ]"
          formControlName="toDate"
          mbLabelText="{{
            'insurance.participationInformation.label.toDate' | translate
          }} <span class='label__required'>*</span>"
        ></mb-date-picker>
      </div>
      <div nz-col nzXs="0" nzLg="6"></div>
      <div nz-col [nzXs]="24" [nzLg]="24" class="group_title">
        <label>{{
          'insurance.participationInformation.groupTitle.participation'
            | translate
        }}</label>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="subjectEmployeeOptions"
          [mbType]="
            isSubmitted && form.controls['insuredSubject'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['insuredSubject'].errors !== null
          "
          [mbErrors]="form.controls['insuredSubject'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.insuredSubject'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.insuredSubject'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.insuredSubject'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="insuredSubject"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="regionOptions"
          [mbType]="
            isSubmitted && form.controls['regionId'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['regionId'].errors !== null
          "
          [mbErrors]="form.controls['regionId'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.regionId'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.regionId'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.regionId' | translate
          }} <span class='label__required'>*</span>"
          formControlName="regionId"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="treatmentPlaceOptions"
          [mbType]="
            isSubmitted && form.controls['insuranceUnitId'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['insuranceUnitId'].errors !== null
          "
          [mbErrors]="form.controls['insuranceUnitId'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.insuranceUnitId'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.insuranceUnitId'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.insuranceUnitId'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="insuranceUnitId"
        ></mb-select>
      </div>
      <div nz-col nzXs="0" nzLg="6"></div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['socialInsuranceNo'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['socialInsuranceNo'].errors !== null
          "
          [mbErrors]="form.controls['socialInsuranceNo'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'maxlength',
              errorDescription:
                'insurance.validate.maxLength'
                | translate: { numberLength: '200' }
            },
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.socialInsuranceNo'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.socialInsuranceNo'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.socialInsuranceNo'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="socialInsuranceNo"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['heathInsuranceNo'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['heathInsuranceNo'].errors !== null
          "
          [mbErrors]="form.controls['heathInsuranceNo'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'maxlength',
              errorDescription:
                'insurance.validate.maxLength'
                | translate: { numberLength: '200' }
            },
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.heathInsuranceNo'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.heathInsuranceNo'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.heathInsuranceNo'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="heathInsuranceNo"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="joinedOptions"
          [mbType]="
            isSubmitted && form.controls['joined'].errors ? 'error' : 'default'
          "
          [mbShowError]="isSubmitted && form.controls['joined'].errors !== null"
          [mbErrors]="form.controls['joined'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.joined'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.joined'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.joined' | translate
          }} <span class='label__required'>*</span>"
          formControlName="joined"
        ></mb-select>
      </div>
      <div nz-col nzXs="0" nzLg="6"></div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['householdRegistrationBook'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted &&
            form.controls['householdRegistrationBook'].errors !== null
          "
          [mbErrors]="form.controls['householdRegistrationBook'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'maxlength',
              errorDescription:
                'insurance.validate.maxLength'
                | translate: { numberLength: '200' }
            },
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.householdRegistrationBook'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.householdRegistrationBook'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.householdRegistrationBook'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="householdRegistrationBook"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="0" nzLg="18"></div>
      <div nz-col nzXs="24" nzLg="6">
        <div class="input__group">
          <label class="input__label"
            >{{
              'insurance.participationInformation.label.tk1File' | translate
            }}
            <span class="label__required">*</span></label
          >
          <mb-upload-files formControlName="tk1Files"></mb-upload-files>
        </div>
      </div>
      <div nz-col nzXs="0" nzLg="18"></div>
      <div nz-col nzXs="24" nzLg="18">
        <label nz-checkbox formControlName="socialJoined">
          {{
            'insurance.participationInformation.label.socialJoined' | translate
          }}
        </label>
        <label nz-checkbox formControlName="healthJoined">
          {{
            'insurance.participationInformation.label.healthJoined' | translate
          }}
        </label>
        <label nz-checkbox formControlName="unemploymentJoined">
          {{
            'insurance.participationInformation.label.unemploymentJoined'
              | translate
          }}
        </label>
        <label nz-checkbox formControlName="accidentJoined">
          {{
            'insurance.participationInformation.label.accidentJoined'
              | translate
          }}
        </label>
        <label nz-checkbox formControlName="laborUnionJoined">
          {{
            'insurance.participationInformation.label.laborUnionJoined'
              | translate
          }}
        </label>
      </div>
      <div nz-col nzXs="0" nzLg="6"></div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="catalogs[CATALOGS.MOI_QUAN_HE_NT]"
          [mbType]="
            isSubmitted && form.controls['householdRelationship'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted &&
            form.controls['householdRelationship'].errors !== null
          "
          [mbErrors]="form.controls['householdRelationship'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.householdRelationship'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.householdRelationship'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.householdRelationship'
              | translate
          }}"
          formControlName="householdRelationship"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="fileTypeOptions"
          [mbType]="
            isSubmitted && form.controls['fileType'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['fileType'].errors !== null
          "
          [mbErrors]="form.controls['fileType'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.fileType'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.fileType'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.fileType' | translate
          }}"
          formControlName="fileType"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-input-text
          [mbType]="
            isSubmitted && form.controls['fileNo'].errors ? 'error' : 'default'
          "
          [mbShowError]="isSubmitted && form.controls['fileNo'].errors !== null"
          [mbErrors]="form.controls['fileNo'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.fileNo'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.fileNo'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.fileNo' | translate
          }}"
          formControlName="fileNo"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="0" nzLg="6"></div>
      <div nz-col [nzXs]="24" [nzLg]="24" class="group_title">
        <label>{{
          'insurance.participationInformation.groupTitle.healthcare' | translate
        }}</label>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="catalogs[CATALOGS.TINH]"
          [mbType]="
            isSubmitted && form.controls['householdRelationship'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted &&
            form.controls['householdRelationship'].errors !== null
          "
          [mbErrors]="form.controls['householdRelationship'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.householdRelationship'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.householdRelationship'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.householdRelationship'
              | translate
          }} <span class='label__required'>*</span>"
          formControlName="householdRelationship"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-select
          [mbDataSelects]="treatmentPlaceOptions"
          [mbType]="
            isSubmitted && form.controls['tplId'].errors ? 'error' : 'default'
          "
          [mbShowError]="isSubmitted && form.controls['tplId'].errors !== null"
          [mbErrors]="form.controls['tplId'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.tplId'
            }
          ]"
          mbPlaceholder="{{
            'insurance.placeholder.input'
              | translateLabel: 'insurance.participationInformation.label.tplId'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.tplId' | translate
          }} <span class='label__required'>*</span>"
          formControlName="tplId"
        ></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="24">
        <mb-input-text
          [mbIsTextAre]="true"
          [mbType]="
            isSubmitted && form.controls['description'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['description'].errors !== null
          "
          [mbErrors]="form.controls['description'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'insurance.validate.required'
                | translateLabel
                  : 'insurance.participationInformation.label.description'
            }
          ]"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.description'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.description' | translate
          }}"
          formControlName="description"
        ></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="24">
        <app-relative-information [insId]="id!"></app-relative-information>
      </div>
    </div>
    <div class="footer">
      <mb-button
        mbButtonAvailableStyle="PRIMARY"
        mbButtonText="{{ 'common.button.saveS' | translate }}"
        (click)="save()"
      >
      </mb-button>
      <mb-button
        mbButtonAvailableStyle="BtnCancelHasBorder"
        mbButtonText="{{ 'common.button.cancel' | translate }}"
      >
      </mb-button>
    </div>
  </form>
</div>
